#include "Gedeng/Logger.h"
#define GEDENG_MAIN
#include <Gedeng.h>

class TestApp : public Gedeng::Application {
  public:
    TestApp(unsigned long ms_per_update, unsigned int window_size_x, unsigned int window_size_y,
            Gedeng::String window_name)
        : Application(ms_per_update, window_size_x, window_size_y, window_name) {
    }

    ~TestApp() = default;

    void fixed_update(double delta) override {
        GG_CLIENT_INFO("Fixed update");
    }

    void dynamic_update(double delta) override {
        GG_CLIENT_INFO("Dynamic update");
    }
};

Gedeng::Application *Gedeng::create_application() {
    GG_CLIENT_INFO("Creating Application");
    return new TestApp(20, 900, 600, String("Test App"));
}
